PresenterFunctions

com.uva.rafael.tfg_goniometer.interfaces

## Interface PresenterFunctions

- All Known Implementing Classes:
    HomePresenter, MainPresenter, MedicionPresenter, NuevaMedicionPresenter, NuevoPacientePresenter, PacientesPresenter, PerfilPacientePresenter, SobreAppPresenter, UltimasMedicionesPresenter

      public interface PresenterFunctions

  Esta interfaz engloba todos los metodos publicos de las clases de tipo `Presenter` que se encuentran en el paquete "presenter" de esta aplicacion.

  Esta interfaz posee un unico metodo `onDestroy()` comun a todas las interfaces que posee. Ademas de esto, para cada uno de los Presentadores, existe una interfaz que engloba los metodos especificos de cada uno de ellos.

  Esta interfaz forma parte de la aplicacion TFG-Goniometer, desarrollada para el Trabajo de Fin de Grado - Grado en Ingenieria Informatica (Universidad de Valladolid)

  Version:
    1.0
  Author:
    Rafael Matamoros Luque
  See Also:
    `NavigationView`, `DrawerLayout`, `Menu`, `MenuItem`, `Toolbar`, `Spinner`, `RecyclerView`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `PresenterFunctions.HomeFunctions` Interfaz correspondiente al Presentador `HomePresenter`
    `static interface` | `PresenterFunctions.MainFunctions` Interfaz correspondiente al Presentador `MainPresenter`
    `static interface` | `PresenterFunctions.MedicionFunctions` Interfaz correspondiente al Presentador `MedicionPresenter`
    `static interface` | `PresenterFunctions.NuevaMedicionFunctions` Interfaz correspondiente al Presentador `NuevaMedicionPresenter`
    `static interface` | `PresenterFunctions.NuevoPacienteFunctions` Interfaz correspondiente al Presentador `NuevoPacientePresenter`
    `static interface` | `PresenterFunctions.PacientesFunctions` Interfaz correspondiente al Presentador `PacientesPresenter`
    `static interface` | `PresenterFunctions.PerfilPacienteFunctions` Interfaz correspondiente al Presentador `PerfilPacientePresenter`
    `static interface` | `PresenterFunctions.SobreAppFunctions` Interfaz correspondiente al Presentador `SobreAppPresenter`
    `static interface` | `PresenterFunctions.UltimasMedicionesFunctions` Interfaz correspondiente al Presentador `UltimasMedicionesPresenter`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onDestroy()` Perform any final cleanup before an activity is destroyed.

- - ### Method Detail

    - #### onDestroy

          void onDestroy()

      Perform any final cleanup before an activity is destroyed.

      Se encarga de liberar la referencia a la `Activity` o `Fragment` con el que esta asociado.